[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TDockZone.Orientation

Whether docking is oriented vertically, horizontally, in pages, or not at all.

## Declaration

Source position: controls.pp line 2572

`public property TDockZone.Orientation : TDockOrientation read FOrientation write FOrientation;`

## Description

- doNoOrient: zone contains a TControl and no child zones.
- doHorizontal: zone's children are stacked top-to-bottom.
- doVertical: zone's children are arranged left-to-right.
- doPages: zone's children are pages arranged left-to-right.

## See also

TDockOrientation |  | Orientation of DockZones and docked controls, similar to TAlign